DCMTK Version 3.6.9 OFFIS DICOM Toolkit

Loading...
Searching...
No Matches
Public Member Functions | List of all members
dcmtk::log4cplus::spi::DenyAllFilter Class Reference

This filter drops all logging events. More...

Inheritance diagram for dcmtk::log4cplus::spi::DenyAllFilter:

## Public Member Functions
virtual FilterResult | decide (const InternalLoggingEvent &event) const
| Always returns the `DENY` regardless of the `InternalLoggingEvent` parameter.
Public Member Functions inherited from dcmtk::log4cplus::spi::Filter
void | appendFilter (FilterPtr filter)
| Appends `filter` to the end of this filter chain.

## Additional Inherited Members
Public Attributes inherited from dcmtk::log4cplus::spi::Filter
FilterPtr | next
| Points to the next filter in the filter chain.

## Detailed Description

This filter drops all logging events.

You can add this filter to the end of a filter chain to switch from the default "accept all unless instructed otherwise" filtering behaviour to a "deny all unless instructed otherwise" behaviour.

The documentation for this class was generated from the following file:

- oflog/include/dcmtk/oflog/spi/filter.h

Generated on Sat Mar 1 2025 for DCMTK Version 3.6.9 by Doxygen 1.13.2